{% block body %}
<div id="divDefinePlanning">	
	
	<h3>
	    {{ 'Définition du planning' | trad }}
	    
	    <a type="button" class="secondaire button" onClick="triggerTab('planning');">{{ 'Retour' | trad }}</a>  
	    
	    {% if statut == 'E' or statut == 'T' %}
	    	<a type="button" class="principal button" onClick="archiverPlanning('{{ path('ProjetAchat.Planning.archivePlanning', {typeObjet:typeObjet, idObjet:idObjet}) }}');">{{ 'Archiver planning' | trad }}</a>
	    {% endif %}
    </h3>

    <div class="tab-content">
        <form method="post" name="filtre_DefinePlanning" id="filtre_DefinePlanning" style="margin-top:20px;">
        
            {% if statut == 'E' or statut == 'T' %}
    			<div class="single row">
                	{{ inputAdvance('TEXTAREA',{
                	    'titre' : 'Commentaire' | trad,
                	    'name' : 'COMMENTAIRE',
                        'pathValidator' : path('Ajax.validator.isStringAvecEspace'),
                        'paramsValidator' : "{'sizeMin' : '0', 'sizeMax' : '3000'}",
                	}) }}
    			</div>
            {% endif %}
        
            <div class="colonne3" style="position:relative">
            	<a class="principal button" style="margin-bottom: 10px;width: 100%;" onClick="$('#treeviewDefine').jstree(true).deselect_all();refreshZoneDonneeDefine('{{ path('ProjetAchat.Planning.ajaxHierarchy', {typeObjet:typeObjet, idObjet:idObjet}) }}')">{{ 'TOUS' | trad }}</a>
                <div id="treeviewDefine" class="treeviewDefine">
                </div>
            </div>
            <div id="zoneDonneeDefine" class="colonneComplement">
            	{% include '@projetAchat/Planning/ajaxHierarchy.twig' %}
            </div>
    	</form>
    </div>
    
    <script>
    	function archiverPlanning(path)
    	{
    		activeLoader();
            $.ajax({
                dataType : 'html',
                url: path,
                type: "POST",
                data: {'COMMENTAIRE' : $('#input_COMMENTAIRE').val()},
                success: function(result){
                    $('#input_COMMENTAIRE').val('');
                    desactiveLoader();
                    refrechDiv('{{ path('ProjetAchat.ModeleProjet.details', {typeObjet:typeObjet, idObjet:idObjet}) }}', 'planning', '','', "{'onglet' : 'planning', 'id' : ''}");
                }
            });
    	}
    	
    	$('#treeviewDefine').jstree({
    		'core' : {
    			'check_callback' : function(operation, node, node_parent, node_position, more){
    				return true;
    			},
    			"themes":{
    				"theme" : "default",
    				"dots" : false,
    				"icons":false,
    				"variant" : "large"
    			},
    			'data' :  {{ treeHierarchy | json }}
    		},
    	}).bind("loaded.jstree", function(event, data) {$(this).jstree("open_all");});
    	
        $(document).on('click', '#treeviewDefine .jstree-anchor', function(e) {
    
            var anchorId = $(this).parent().attr('id');
            var id = anchorId.substring(anchorId.indexOf('_') + 1, anchorId.length);
            
                activeLoader();
                $.ajax({
                    dataType : 'html',
                    url: '{{ baseUrl() }}ProjetAchat/define/ajaxHierarchy/{{ typeObjet }}/{{ idObjet }}/'+id,
                    type: "POST",
                    success: function(result){
                        $("#zoneDonneeDefine").html(result);
                        desactiveLoader();
                    }
                });
        });

        
        function refreshZoneDonneeDefine(path, input)
        {
        	var STATUT = $('#input_STATUT').val();
        	var ID_MODE = $('#input_ID_MODE').val();
        	
        	var idInput = $(input).attr('id');
        	var valueInput =  $(input).val()
        
            activeLoader();
            $.ajax({
                dataType : 'html',
                url: path,
                data: {'STATUT' : STATUT, 'ID_MODE' : ID_MODE, idInput : idInput, valueInput : valueInput},
                type: "POST",
                success: function(result){
                    $("#zoneDonneeDefine").html(result);               
                    desactiveLoader();
                },
                error: function (result){
                    $("#modal-content").addClass("modal_small");
            		$("#modal-body").html(result.responseText);
                    activePopup();
                    
                    refreshZoneDonneeDefine('{{ path('ProjetAchat.Planning.ajaxHierarchy', {typeObjet:typeObjet, idObjet:idObjet}) }}');
                }
            });
        }
        
    </script>
    
</div>
{% endblock %}